This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 152426 - Add unique constraint on rhnPackageNEVRA for name_id, evr_id, package_arch_id
Add unique constraint on rhnPackageNEVRA for name_id, evr_id, package_arch_id
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Slagle
Mike McCune
:
Depends On:
Blocks: 147875
  Show dependency treegraph
 
Reported: 2005-03-29 09:05 EST by James Slagle
Modified: 2007-10-23 22:15 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHN 4.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-31 22:53:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Slagle 2005-03-29 09:05:18 EST
Add unique constraint on rhnPackageNEVRA for name_id, evr_id, package_arch_id. 
This will resolve a few customer issues that have come up (bz #151797).
Comment 1 James Slagle 2005-06-23 16:13:07 EDT
unique constraint added to satellite schema and hosted.

No testplan.
Comment 2 Vlady Zlatkin 2005-07-08 17:42:46 EDT
how can this be tested? 
Comment 3 James Slagle 2005-07-11 17:02:31 EDT
Registering a system to a satellite would make use of the table where this
constraint has been added.

There isn't really a good way to test this, we opened this bug b/c we saw a
customer come up with an issue where this constraint would have prevented the
issue, but we never could reproduce the customer's problem.  
Comment 4 Mike McCune 2005-08-01 20:34:25 EDT
will qa this.
Comment 5 Mike McCune 2005-08-03 17:53:33 EDT
I registered a few systems successfully using the latest ISO against a sat.

This is prod_ready then :-)

Note You need to log in before you can comment on or make changes to this bug.